﻿using System;
namespace aspnetDemo.Models
{
    public class OAuthResult<T>
    {
        public string code { get; set; }

        public string message { get; set; }

        public string localizedMsg { get; set; }

        public T data { get; set; }
    }

    public class RefreshTokenResult
    {
        public string access_token { get; set; }

        public string expired_time { get; set; }

        public string open_id { get; set; }

        public string refresh_token { get; set; }
    }

    public class GetAccessCodeResult : RefreshTokenResult
    {
        public string token_type { get; set; }
    }

}
